org.apache.commons.collections4.map

## Class AbstractHashedMap.KeySet<K>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<K>
    - - org.apache.commons.collections4.map.AbstractHashedMap.KeySet<K>

- All Implemented Interfaces:
    Iterable<K>, Collection<K>, Set<K>
  Enclosing class:
    AbstractHashedMap<K,V>

      protected static class AbstractHashedMap.KeySet<K>
      extends AbstractSet<K>

  KeySet implementation.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `KeySet(AbstractHashedMap<K,?> parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `contains(Object key)`
    `Iterator<K>` | `iterator()`
    `boolean` | `remove(Object key)`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, containsAll, isEmpty, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, containsAll, isEmpty, retainAll, spliterator, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### KeySet

          protected KeySet(AbstractHashedMap<K,?> parent)

  - ### Method Detail

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<K>`
      Specified by:
        `size` in interface `Set<K>`
      Specified by:
        `size` in class `AbstractCollection<K>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<K>`
      Specified by:
        `clear` in interface `Set<K>`
      Overrides:
        `clear` in class `AbstractCollection<K>`

    - #### contains

          public boolean contains(Object key)

      Specified by:
        `contains` in interface `Collection<K>`
      Specified by:
        `contains` in interface `Set<K>`
      Overrides:
        `contains` in class `AbstractCollection<K>`

    - #### remove

          public boolean remove(Object key)

      Specified by:
        `remove` in interface `Collection<K>`
      Specified by:
        `remove` in interface `Set<K>`
      Overrides:
        `remove` in class `AbstractCollection<K>`

    - #### iterator

          public Iterator<K> iterator()

      Specified by:
        `iterator` in interface `Iterable<K>`
      Specified by:
        `iterator` in interface `Collection<K>`
      Specified by:
        `iterator` in interface `Set<K>`
      Specified by:
        `iterator` in class `AbstractCollection<K>`

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.